# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mongomapper_autokey/version'

Gem::Specification.new do |spec|
  spec.name          = "mongomapper_autokey"
  spec.version       = MongoMapper::Autokey::VERSION
  spec.authors       = ["yee.li"]
  spec.email         = ["yeeli@outlook.com"]
  spec.summary       = %q{Auto increment for MongoMappper}
  spec.description   = %q{Auto increment for MongoMapper}
  spec.homepage      = "https://github.com/yeeli/mongomapper_autokey"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_dependency "mongo_mapper"
end
